summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoranna 'ruda <chaotic.anna@gmail.com>2011-01-06 13:47:25 +0000
committeranna 'ruda <chaotic.anna@gmail.com>2011-01-06 13:47:25 +0000
commit35242b67afc99a21f577c65e4e2f5bec9ff457af (patch)
tree7838edf5f1f3132dfcf886eee7000d72dd4262c2 /dev-tcltk
parentLive ebuilds for dzen and gajim; ebuild for wmname; package.mask fix for (diff)
downloadeatnumber1-35242b67afc99a21f577c65e4e2f5bec9ff457af.tar.gz
eatnumber1-35242b67afc99a21f577c65e4e2f5bec9ff457af.tar.bz2
eatnumber1-35242b67afc99a21f577c65e4e2f5bec9ff457af.zip
tkpath ebuild; idea-community version bump; idea-ultimate ebuild
Diffstat (limited to 'dev-tcltk')
-rw-r--r--dev-tcltk/tkpath/Manifest2
-rw-r--r--dev-tcltk/tkpath/files/man-pages.patch27
-rw-r--r--dev-tcltk/tkpath/tkpath-9999.ebuild55
3 files changed, 84 insertions, 0 deletions
diff --git a/dev-tcltk/tkpath/Manifest b/dev-tcltk/tkpath/Manifest
new file mode 100644
index 0000000..9298a0a
--- /dev/null
+++ b/dev-tcltk/tkpath/Manifest
@@ -0,0 +1,2 @@
+AUX man-pages.patch 908 RMD160 1f2a0b1ebce3a55aad6f4c86a98726ce7e648ce1 SHA1 e5b5a5c965578bb346c775bfaaca46f8b29cc26c SHA256 83b6ccdeaec481db0386949128f2613740886065ddb17f96460ce4190ceaae87
+EBUILD tkpath-9999.ebuild 978 RMD160 c7e6b8c789840a29aa408d4a1bddc5631f08fe5b SHA1 ff0622106908c5fb1ff9255e1dc4bca39c5f848e SHA256 d51c077a180c59fcde1b47d1902912c32d8b725720be619637bd29e3703f6283
diff --git a/dev-tcltk/tkpath/files/man-pages.patch b/dev-tcltk/tkpath/files/man-pages.patch
new file mode 100644
index 0000000..5e135c1
--- /dev/null
+++ b/dev-tcltk/tkpath/files/man-pages.patch
@@ -0,0 +1,27 @@
+*** Makefile.in 2009-04-01 22:45:45.000000000 +0000
+--- Makefile.in- 2011-01-06 01:12:26.000000000 +0000
+***************
+*** 224,237 ****
+ # directory.
+ #========================================================================
+
+ install-doc: doc
+- @mkdir -p $(DESTDIR)$(mandir)/mann
+- @echo "Installing documentation in $(DESTDIR)$(mandir)"
+- @list='$(srcdir)/doc/*.n'; for i in $$list; do \
+- echo "Installing $$i"; \
+- rm -f $(DESTDIR)$(mandir)/mann/`basename $$i`; \
+- $(INSTALL_DATA) $$i $(DESTDIR)$(mandir)/mann ; \
+- done
+
+ # Piping to cat is necessary on Windows to see the output, and
+ # harmless on Unix
+--- 224,231 ----
+ # directory.
+ #========================================================================
+
++ # no-op target as package has no manual pages
+ install-doc: doc
+
+ # Piping to cat is necessary on Windows to see the output, and
+ # harmless on Unix
diff --git a/dev-tcltk/tkpath/tkpath-9999.ebuild b/dev-tcltk/tkpath/tkpath-9999.ebuild
new file mode 100644
index 0000000..96c1e2b
--- /dev/null
+++ b/dev-tcltk/tkpath/tkpath-9999.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit cvs
+
+DESCRIPTION="Tkpath implements path drawing modelled after its SVG counterpart"
+HOMEPAGE="http://tclbitprint.sourceforge.net/"
+SRC_URI=""
+
+ECVS_SERVER="tclbitprint.cvs.sourceforge.net:/cvsroot/tclbitprint"
+ECVS_MODULE="tkpath"
+ECVS_USER="anonymous"
+ECVS_PASS=""
+ECVS_CVS_OPTIONS="-z3 -d"
+ECVS_AUTH="pserver"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="64bit threads"
+
+DEPEND="
+ dev-lang/tk
+ x11-libs/cairo"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ epatch "${FILESDIR}/man-pages.patch"
+}
+
+src_configure(){
+ cd "${WORKDIR}/${PN}"
+ econf \
+ $(use_enable symbols) \
+ $(use_enable 64bit) \
+ $(use_enable threads)
+}
+
+src_compile() {
+ emake || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc ChangeLog doc/README.txt || die
+ dodir /usr/share/${PN}/demos
+ insinto /usr/share/${PN}/demos
+ doins demos/*
+}
+